<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 2019-08-21 - Created.
 -->
<!-- Hog Lookup Pill -->
<template>

	<div class="slds-form-element slds-lookup slds-is-close"
		 data-select="single">
		<label class="slds-form-element__label">
			<template if:true={isRequired}>
				<abbr title="required"
					  class="slds-required">
					*
				</abbr>
			</template>
			{label}
		</label>
		<div class="slds-form-element__control">
			<div class="slds-input-has-icon slds-input-has-icon--right">
				<div class="slds-pill-container pill-size-full">
					<span onclick={clearSelection}
						  class="slds-pill pill uiPill--default uiPill uiPill--default-extend pill-size-full pill-actionable input-style">
						<span class="slds-pill__icon_container icon-position" if:true={renderIcon}>
							<span class="slds-icon_container">
								<lightning-icon icon-name={iconName} size="small">
								</lightning-icon>
							</span>
					  	</span>
						<span class="pillText pillText-extend">
							{selectedText}
						</span>
						<span class="slds-button slds-button--icon slds-pill__remove pill-action pill-padding"
							 onclick={clearSelection}>
							<lightning-icon icon-name="utility:close"
											size="small">
							</lightning-icon>
							<span class="slds-assistive-text">
								Remove
							</span>
						</span>
					</span>
				</div>
			</div>
		</div>
	</div>

</template>